Mailly文档

Create an audience

POST
/audiences

type=static may include members (external contact IDs, up to 1000); type=dynamic requires filter.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Request Body

application/json
  1. body
key?string

stable key

name?string
description?string
type?string
Value in"static""dynamic"
filter?

Filter for dynamic audiences

members?array<string>

External contact IDs (static only)

[key: string]?unknown

Response Body

Created

application/json
  1. response
success*boolean
audience*
memberCount*number
[key: string]?unknown
curl -X POST 'https://api.mailly.site/audiences' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "audience": {    "property1": null,    "property2": null  },  "memberCount": 0,  "property1": null,  "property2": null}